%define api		1.0
%define major		1
%define libname		%mklibname insane %{major}
%define libname_g	%mklibname insane_gobject %{major}
%define girinsanename	%mklibname insane-gir %{api}
%define develname	%mklibname insane -d

Name:		libinsane
Version:	1.0.10
Release:	%mkrel 1
Summary:	Cross-platform access to image scanners
Group:		System/Libraries
License:	LGPLv3+
URL:		https://doc.openpaper.work/libinsane/latest/libinsane/index.html
Source0:	https://gitlab.gnome.org/World/OpenPaperwork/%{name}/-/archive/%{version}/%{name}-%{version}.tar.gz

BuildRequires:	doxygen
BuildRequires:	gcc
BuildRequires:  gtk-doc
BuildRequires:	meson
BuildRequires:	sane-backends
BuildRequires:	vala
BuildRequires:	valgrind
BuildRequires:	pkgconfig(sane-backends)
BuildRequires:	pkgconfig(cunit)
BuildRequires:  pkgconfig(gobject-2.0)
BuildRequires:  pkgconfig(gobject-introspection-1.0)

%description
Libinsane is the library to access scanners on both Linux and Windows. It's
cross-platform, cross-programming languages, cross-scanners :-). It takes care
of all the quirks of all the platforms and scanners.

#------------------------------------------------

%package -n	%{libname}
Summary:	elementary companion library for GTK+ and GLib
Group:		System/Libraries

%description -n	%{libname}
Libinsane is the library to access scanners on both Linux and Windows. It's
cross-platform, cross-programming languages, cross-scanners :-). It takes care
of all the quirks of all the platforms and scanners.

#------------------------------------------------

%package -n	%{libname_g}
Summary:	elementary companion library for GTK+ and GLib
Group:		System/Libraries

%description -n	%{libname_g}
Libinsane is the library to access scanners on both Linux and Windows. It's
cross-platform, cross-programming languages, cross-scanners :-). It takes care
of all the quirks of all the platforms and scanners.

#------------------------------------------------

%package -n	%{girinsanename}
Summary:	GObject Introspection interface description for Libinsane
Group:		System/Libraries
Requires:	%{libname} = %{version}-%{release}

%description -n	%{girinsanename}
GObject Introspection interface description for Libinsane.

#------------------------------------------------

%package -n	%{develname}
Summary:	Development package for %{name}
Group:		Development/C++
Requires:	%{libname} = %{version}-%{release}
Requires:	%{libname_g} = %{version}-%{release}
Requires:	%{girinsanename} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n	%{develname}
Header files for development with %{name}.

#------------------------------------------------

%prep
%autosetup -p1

%build
%meson
%meson_build
%meson_build doc

%install
%meson_install

%check
%meson_test -v -t 5

%files -n %{libname}
%doc README.markdown ChangeLog
%license LICENSE
%{_libdir}/%{name}.so.%{major}{,.*}

%files -n %{libname_g}
%{_libdir}/%{name}_gobject.so.%{major}{,.*}

%files -n %{girinsanename}
%{_libdir}/girepository-1.0/Libinsane-%{api}.typelib

%files -n %{develname}
%doc doc
%doc %{_datadir}/gtk-doc/html/libinsane-gobject/
%{_includedir}/%{name}/
%{_includedir}/%{name}-gobject/
%{_libdir}/%{name}.so
%{_libdir}/%{name}_gobject.so
%{_libdir}/pkgconfig/%{name}.pc
%{_datadir}/gir-1.0/Libinsane-%{api}.gir
%{_datadir}/vala/vapi/%{name}.deps
%{_datadir}/vala/vapi/%{name}.vapi


%changelog
* Sun Apr 02 2023 daviddavid <daviddavid> 1.0.10-1.mga9
+ Revision: 1951221
- new version: 1.0.10
+ wally <wally>
- tag docs as such

* Tue Apr 05 2022 umeabot <umeabot> 1.0.9-2.mga9
+ Revision: 1844383
- Mageia 9 Mass Rebuild

* Mon Jan 04 2021 daviddavid <daviddavid> 1.0.9-1.mga8
+ Revision: 1668656
- new version: 1.0.9

* Tue Oct 13 2020 daviddavid <daviddavid> 1.0.8-1.mga8
+ Revision: 1634979
- new version: 1.0.8

* Wed Sep 02 2020 daviddavid <daviddavid> 1.0.7-1.mga8
+ Revision: 1620787
- new version: 1.0.7
- new version: 1.0.6

* Tue Aug 04 2020 daviddavid <daviddavid> 1.0.4-2.mga8
+ Revision: 1610876
- fix build with new meson 0.55.0

* Tue Mar 17 2020 daviddavid <daviddavid> 1.0.4-1.mga8
+ Revision: 1557292
- new version: 1.0.4

* Tue Feb 18 2020 umeabot <umeabot> 1.0.3-2.mga8
+ Revision: 1541497
- Mageia 8 Mass Rebuild

* Sat Dec 28 2019 daviddavid <daviddavid> 1.0.3-1.mga8
+ Revision: 1474584
- new version: 1.0.3

* Sat Oct 26 2019 daviddavid <daviddavid> 1.0.2-1.mga8
+ Revision: 1455943
- initial package libinsane

